Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.impl
Class NodeImpl

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl

All Implemented Interfaces:
  Serializable, Node, Contextable, ContextResolver

Direct Known Subclasses:
  CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, ExtendedNodeImpl, Join, Split

    public abstract class NodeImpl

extends Object
implements Node, Serializable, ContextResolver

Default implementation of a node.

See Also:
  Serialized Form

Field Summary
`protected Map<ConnectionRef,Constraint>` | `constraints`
`protected static NodeImpl[]` | `EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`NodeImpl()`

Method Summary
`void` | `addConstraint(ConnectionRef connectionRef, Constraint constraint)`
`void` | `addIncomingConnection(String type, Connection connection)`
`void` | `addOutgoingConnection(String type, Connection connection)`
`Constraint` | `getConstraint(Connection connection)`
`Map<ConnectionRef,Constraint>` | `getConstraints()`
`Context` | `getContext(String contextId)`
`List<Connection>` | `getDefaultIncomingConnections()` Helper method for nodes that have multiple default incoming connections
`List<Connection>` | `getDefaultOutgoingConnections()` Helper method for nodes that have multiple default outgoing connections
`Connection` | `getFrom()` Helper method for nodes that have at most one default incoming connection
`long` | `getId()` The id of the node.
`Map<String,List<Connection>>` | `getIncomingConnections()` The incoming connections for this Node.
`List<Connection>` | `getIncomingConnections(String type)` The incoming connections for this Node for the given entry-point.
`Map<String,Object>` | `getMetaData()` Meta data associated with this Node.
`Object` | `getMetaData(String name)` Meta data associated with this Node.
`String` | `getName()` The name of the node
`NodeContainer` | `getNodeContainer()` The NodeContainer this Node lives in.
`Map<String,List<Connection>>` | `getOutgoingConnections()` The outgoing connections for this Node.
`List<Connection>` | `getOutgoingConnections(String type)` The outgoing connections for this Node for the given exit-point.
`Connection` | `getTo()` Helper method for nodes that have at most one default outgoing connection
`String` | `getUniqueId()`
`Constraint` | `internalGetConstraint(ConnectionRef ref)`
`void` | `removeIncomingConnection(String type, Connection connection)`
`void` | `removeOutgoingConnection(String type, Connection connection)`
`Context` | `resolveContext(String contextId, Object param)`
`void` | `setConstraint(Connection connection, Constraint constraint)`
`void` | `setContext(String contextId, Context context)`
`void` | `setId(long id)` Method for setting the id of the node
`void` | `setMetaData(Map<String,Object> metaData)`
`void` | `setMetaData(String name, Object value)`
`void` | `setName(String name)` Method for setting the name of the node
`void` | `setNodeContainer(NodeContainer nodeContainer)`
`void` | `validateAddIncomingConnection(String type, Connection connection)`
`void` | `validateAddOutgoingConnection(String type, Connection connection)`
`void` | `validateRemoveIncomingConnection(String type, Connection connection)`
`void` | `validateRemoveOutgoingConnection(String type, Connection connection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_NODE_ARRAY

    protected static final NodeImpl[] EMPTY_NODE_ARRAY

### constraints

    protected Map<ConnectionRef,Constraint> constraints

Constructor Detail

### NodeImpl

    public NodeImpl()

Method Detail

### getId

    public long getId()

  Description copied from interface: `Node`
  The id of the node. This is unique within its NodeContainer.

  Specified by:
    `getId` in interface `Node`
  Returns:
    the id of the node

### getUniqueId

    public String getUniqueId()

### setId

    public void setId(long id)

  Description copied from interface: `Node`
  Method for setting the id of the node

  Parameters:
    `id` - the id of the node

### getName

    public String getName()

  Description copied from interface: `Node`
  The name of the node

  Specified by:
    `getName` in interface `Node`
  Returns:
    the name of the node

### setName

    public void setName(String name)

  Description copied from interface: `Node`
  Method for setting the name of the node

  Parameters:
    `name` - the name of the node

### getIncomingConnections

    public Map<String,List<Connection>> getIncomingConnections()

  Description copied from interface: `Node`
  The incoming connections for this Node. A Node could have multiple entry-points. This map contains the list of incoming connections for each entry-point.

  Specified by:
    `getIncomingConnections` in interface `Node`
  Returns:
    the incoming connections

### getOutgoingConnections

    public Map<String,List<Connection>> getOutgoingConnections()

  Description copied from interface: `Node`
  The outgoing connections for this Node. A Node could have multiple exit-points. This map contains the list of outgoing connections for each exit-point.

  Specified by:
    `getOutgoingConnections` in interface `Node`
  Returns:
    the outgoing connections

### addIncomingConnection

    public void addIncomingConnection(String type,
                                      Connection connection)

### validateAddIncomingConnection

    public void validateAddIncomingConnection(String type,
                                              Connection connection)

### getIncomingConnections

    public List<Connection> getIncomingConnections(String type)

  Description copied from interface: `Node`
  The incoming connections for this Node for the given entry-point.

  Specified by:
    `getIncomingConnections` in interface `Node`
  Returns:
    the incoming connections for the given entry point

### addOutgoingConnection

    public void addOutgoingConnection(String type,
                                      Connection connection)

### validateAddOutgoingConnection

    public void validateAddOutgoingConnection(String type,
                                              Connection connection)

### getOutgoingConnections

    public List<Connection> getOutgoingConnections(String type)

  Description copied from interface: `Node`
  The outgoing connections for this Node for the given exit-point.

  Specified by:
    `getOutgoingConnections` in interface `Node`
  Returns:
    the outgoing connections for the given exit point

### removeIncomingConnection

    public void removeIncomingConnection(String type,
                                         Connection connection)

### validateRemoveIncomingConnection

    public void validateRemoveIncomingConnection(String type,
                                                 Connection connection)

### removeOutgoingConnection

    public void removeOutgoingConnection(String type,
                                         Connection connection)

### validateRemoveOutgoingConnection

    public void validateRemoveOutgoingConnection(String type,
                                                 Connection connection)

### getFrom

    public Connection getFrom()

  Helper method for nodes that have at most one default incoming connection

### getTo

    public Connection getTo()

  Helper method for nodes that have at most one default outgoing connection

### getDefaultIncomingConnections

    public List<Connection> getDefaultIncomingConnections()

  Helper method for nodes that have multiple default incoming connections

### getDefaultOutgoingConnections

    public List<Connection> getDefaultOutgoingConnections()

  Helper method for nodes that have multiple default outgoing connections

### getNodeContainer

    public NodeContainer getNodeContainer()

  Description copied from interface: `Node`
  The NodeContainer this Node lives in.

  Specified by:
    `getNodeContainer` in interface `Node`
  Returns:
    the NodeContainer

### setNodeContainer

    public void setNodeContainer(NodeContainer nodeContainer)

### setContext

    public void setContext(String contextId,
                           Context context)

  Specified by:
    `setContext` in interface `Contextable`

### getContext

    public Context getContext(String contextId)

  Specified by:
    `getContext` in interface `Contextable`

### resolveContext

    public Context resolveContext(String contextId,
                                  Object param)

  Specified by:
    `resolveContext` in interface `ContextResolver`

### setMetaData

    public void setMetaData(String name,
                            Object value)

### getMetaData

    public Object getMetaData(String name)

  Description copied from interface: `Node`
  Meta data associated with this Node.

  Specified by:
    `getMetaData` in interface `Node`

### getMetaData

    public Map<String,Object> getMetaData()

  Description copied from interface: `Node`
  Meta data associated with this Node.

  Specified by:
    `getMetaData` in interface `Node`

### setMetaData

    public void setMetaData(Map<String,Object> metaData)

### getConstraint

    public Constraint getConstraint(Connection connection)

### internalGetConstraint

    public Constraint internalGetConstraint(ConnectionRef ref)

### setConstraint

    public void setConstraint(Connection connection,
                              Constraint constraint)

### addConstraint

    public void addConstraint(ConnectionRef connectionRef,
                              Constraint constraint)

### getConstraints

    public Map<ConnectionRef,Constraint> getConstraints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.